using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel.Channels;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp6
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string bbb = "";

            // 创建Cookie并添加到容器
            var cookie = new System.Net.Cookie("CookieName", "CookieValue", "/", "localhost");
            localhost.blwws blwws = new localhost.blwws();
            blwws.CookieContainer = new System.Net.CookieContainer();
            //blwws.CookieContainer.Add(cookie);
            //blwws.UploadPhoto("aaccee^_^aaccee");
            string xmlstr = System.IO.File.ReadAllText("1.txt", Encoding.UTF8);
            var Q= blwws.CheckIn("blw_ws@2015", "2006", "8201", DateTime.Now, xmlstr, ref bbb, "168616418194192160", "1");
            //blwws.UploadPhoto("blw_ws@2015", "1321", 0, 0, "01", "张露", 0, null, null, new byte[] { }, ref bbb);
            //blwws.CheckIn("room", "oschina", "", DateTime.Now, "", ref bbb, "", "");
            Console.ReadKey();
        }
    }
}
